Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class SocksProxySocket

    java.lang.Object
      java.net.Socket
          com.sshtools.j2ssh.net.SocksProxySocket

All Implemented Interfaces:
  TransportProvider

public class SocksProxySocket
extends java.net.Socket
implements TransportProvider

DOCUMENT ME!

Field Summary
`static int` | `SOCKS4` DOCUMENT ME!
`static int` | `SOCKS5` DOCUMENT ME!

Method Summary
`static SocksProxySocket` | `connectViaSocks4Proxy(java.lang.String remoteHost, int remotePort, java.lang.String proxyHost, int proxyPort, java.lang.String userId)` DOCUMENT ME!
`static SocksProxySocket` | `connectViaSocks5Proxy(java.lang.String remoteHost, int remotePort, java.lang.String proxyHost, int proxyPort, boolean localLookup, java.lang.String username, java.lang.String password)` DOCUMENT ME!
`static SocksProxySocket` | `connectViaSocks5Proxy(java.lang.String remoteHost, int remotePort, java.lang.String proxyHost, int proxyPort, java.lang.String username, java.lang.String password)` DOCUMENT ME!
`java.lang.String` | `getProviderDetail()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.net.Socket
`bind, close, connect, connect, getChannel, getInetAddress, getInputStream, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sshtools.j2ssh.net.TransportProvider
`close, getInputStream, getOutputStream`

Field Detail

### SOCKS4

    public static final int SOCKS4

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SOCKS5

    public static final int SOCKS5

  DOCUMENT ME!

  See Also:
    Constant Field Values

Method Detail

### connectViaSocks4Proxy

    public static SocksProxySocket connectViaSocks4Proxy(java.lang.String remoteHost,
                                                         int remotePort,
                                                         java.lang.String proxyHost,
                                                         int proxyPort,
                                                         java.lang.String userId)
                                                  throws java.io.IOException,
                                                         java.net.UnknownHostException

  DOCUMENT ME!

  Parameters:
    `remoteHost` - DOCUMENT ME!
    `remotePort` - DOCUMENT ME!
    `proxyHost` - DOCUMENT ME!
    `proxyPort` - DOCUMENT ME!
    `userId` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.net.UnknownHostException` - DOCUMENT ME!
    `java.net.SocketException` - DOCUMENT ME!

### connectViaSocks5Proxy

    public static SocksProxySocket connectViaSocks5Proxy(java.lang.String remoteHost,
                                                         int remotePort,
                                                         java.lang.String proxyHost,
                                                         int proxyPort,
                                                         boolean localLookup,
                                                         java.lang.String username,
                                                         java.lang.String password)
                                                  throws java.io.IOException,
                                                         java.net.UnknownHostException

  DOCUMENT ME!

  Parameters:
    `remoteHost` - DOCUMENT ME!
    `remotePort` - DOCUMENT ME!
    `proxyHost` - DOCUMENT ME!
    `proxyPort` - DOCUMENT ME!
    `localLookup` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `password` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.net.UnknownHostException` - DOCUMENT ME!
    `java.net.SocketException` - DOCUMENT ME!

### getProviderDetail

    public java.lang.String getProviderDetail()

  DOCUMENT ME!

  Specified by:
    `getProviderDetail` in interface `TransportProvider`
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### connectViaSocks5Proxy

    public static SocksProxySocket connectViaSocks5Proxy(java.lang.String remoteHost,
                                                         int remotePort,
                                                         java.lang.String proxyHost,
                                                         int proxyPort,
                                                         java.lang.String username,
                                                         java.lang.String password)
                                                  throws java.io.IOException,
                                                         java.net.UnknownHostException

  DOCUMENT ME!

  Parameters:
    `remoteHost` - DOCUMENT ME!
    `remotePort` - DOCUMENT ME!
    `proxyHost` - DOCUMENT ME!
    `proxyPort` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `password` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.net.UnknownHostException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD